I moved to a new domain and I am getting this error with a blank screen

** I have error 500 when I moved my file to a new domain**

When i checked error log this is what i found in the log.

[04-Mar-2024 19:23:48 UTC] PHP Fatal error: Uncaught Error: Non-static method PKPApplication::defineExposedConstant() cannot be called statically in /home/globalj/public_html/lib/pkp/classes/core/PKPApplication.inc.php:557
Stack trace:
#0 /home/globalj/public_html/lib/pkp/classes/core/PKPApplication.inc.php(17): define_exposed(‘REALLY_BIG_NUMB…’, 10000)
#1 /home/globalj/public_html/lib/pkp/includes/functions.inc.php(28): include_once(‘/home/globalj/p…’)
#2 /home/globalj/public_html/classes/core/Application.inc.php(19): import(‘lib.pkp.classes…’)
#3 /home/globalj/public_html/lib/pkp/includes/functions.inc.php(28): include_once(‘/home/globalj/p…’)
#4 /home/globalj/public_html/lib/pkp/includes/bootstrap.inc.php(55): import(‘classes.core.Ap…’)
#5 /home/globalj/public_html/index.php(60): require(‘/home/globalj/p…’)
#6 {main}
thrown in /home/globalj/public_html/lib/pkp/classes/core/PKPApplication.inc.php on line 557
I am using Open Journal Systems 2.4.3.0
I need help pls.

Hello @Glory_Okuonghae,

The version of OJS that you’re using is no longer maintained or supported by PKP. I strongly recommend that you upgrade to the newest version of OJS. However, other community members may wish to offer assistance with your question.

You may find the following resources helpful in preparing for and performing the upgrade:

These resources will introduce you to OJS 3 and how it is different from OJS 2:

You may need to seek professional support to upgrade your installation. This can usually be acquired from the service provider that hosts or maintains your software, such as the technical support team at your institution or a third-party hosting provider.

-Roger
PKP Team

I tried to upgrade but to no avail. I wish I can get help here. I do wish.